【活用ガイド】

JVNDB-2014-001554

Android の java/android/webkit/BrowserFrame.java における任意の Java コードを実行される脆弱性

概要

Android の java/android/webkit/BrowserFrame.java は、SearchBoxImpl クラスのオブジェクトを作成することに関連した addJavascriptInterface API を使用するため、任意の Java コードを実行される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


Google
  • Android 4.4 未満

想定される影響

攻撃者により、特定の Android API レベルの searchBoxJavaBridge_ インターフェースへのアクセスを利用されることで、任意の Java コードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Google
CWEによる脆弱性タイプ一覧  CWEとは?

  1. コード・インジェクション(CWE-94) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-1939
参考情報

  1. National Vulnerability Database (NVD) : CVE-2014-1939
  2. 関連文書 : CVE-2014-1939 searchBoxJavaBridge_ in Android Jelly Bean
更新履歴

[2014年03月05日]
  掲載